from maps.wikimap.stat.libs.common.lib import geobase_region
from nile.api.v1 import Record

geobase_region.init_geodata_from_resource()

LON_NN_1 = '43.963352778'
LAT_NN_1 = '56.337727414'
POINT_NN_1 = '0101000020E6100000A802D2244FFB4540DC0BE3A63A2B4C40'

LON_NN_2 = '43.962013379'
LAT_NN_2 = '56.33731827'
POINT_NN_2 = '0101000020E61000004A8F204123FB454024FFBC3E2D2B4C40'

LON_MSK_1 = '37.628296822'
LAT_MSK_1 = '55.760661418'
POINT_MSK_1 = '0101000020E6100000DB55BF076CD04240CAD1745A5DE14B40'

LON_MSK_2 = '37.498174504'
LAT_MSK_2 = '55.698007358'
POINT_MSK_2 = '0101000020E6100000C530A12EC4BF42401A7D1B4E58D94B40'

DISTANCE_NN = 94.3657344207819
DISTANCE_MSK = 10732.005469855874

REGION_ID_NN = '116610'
REGION_ID_MSK_1 = '117069'
REGION_ID_MSK_2 = '117004'

MAJOR_REGIONS = [
    Record(region_id=REGION_ID_NN, region_name='Земля'),
    Record(region_id=REGION_ID_NN, region_name='Земля/Россия'),
    Record(region_id=REGION_ID_NN, region_name='Земля/Россия/Нижний Новгород'),

    Record(region_id=REGION_ID_MSK_1, region_name='Земля'),
    Record(region_id=REGION_ID_MSK_1, region_name='Земля/Россия'),
    Record(region_id=REGION_ID_MSK_1, region_name='Земля/Россия/Москва'),
    Record(region_id=REGION_ID_MSK_1, region_name='Земля/Россия/Москва/Мещанский район'),

    Record(region_id=REGION_ID_MSK_2, region_name='Земля'),
    Record(region_id=REGION_ID_MSK_2, region_name='Земля/Россия'),
    Record(region_id=REGION_ID_MSK_2, region_name='Земля/Россия/Москва'),
    Record(region_id=REGION_ID_MSK_2, region_name='Земля/Россия/Москва/Раменки'),
]
